#!/bin/sh

if mount | grep -q '/dev/mmcblk0p1.* /boot.* vfat' ; then
  if [ -e /media/boot ]; then
    umount /boot
    mount /dev/mmcblk0p1 /media/boot/
  fi
fi

kver=none
for f in `ls linux-image-?.*_*_*.deb`; do
    kver=`echo $f | cut -d "_" -f 1 | cut -d - -f 3-`
    kver=${kver/-dbg/}
done

dpkg -i linux-image-${kver}_?.*.*-*_*.deb

for f in `ls /boot/*.dtb-${kver} 2> /dev/null`; do
   b=`basename $f`
   b=/media/boot/${b/-$kver/}
   if [ ! -e $b ] ; then
       cp -p $f $b
   fi
done

if [ -e 10-efuse.rules ]; then
  if [ ! -e /etc/udev/rules.d/10-efuse.rules ]; then
    cp -p 10-efuse.rules /etc/udev/rules.d/
  fi
fi

echo OK
